## tellico 4.1.4

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
    INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en
    SUBDIR tellico
)

=== icons/CMakeLists.txt ===
include(ECMInstallIcons)

set(PIC_FILES
    album.png
    alexandria.png
    amc.png
    bibtex.png
    boardgame.png
    boardgamegeek.png
    book.png
    card.png
    checkmark.png
    cite.png
    coin.png
    collectorz.png
    comic.png
    datacrow.png
    deliciouslibrary.png
    discogs.png
    file.png
    game.png
    gcstar.png
    goodreads.png
    griffith.png
    librarything.png
    nocover_album.png
    nocover_bibtex.png
    nocover_boardgame.png
    nocover_book.png
    nocover_comic.png
    nocover_game.png
    nocover_video.png
    person-open.png
    person.png
    README.icons
    README.quesnay
    referencer.png
    script.png
    script.svg
    sru.png
    stamp.png
    star_off.png
    star_on.png
    stars10.png
    stars1.png
    stars2.png
    stars3.png
    stars4.png
    stars5.png
    stars6.png
    stars7.png
    stars8.png
    stars9.png
    tellico_mime.svg
    tellico.png
    tellico.svg
    tellico.svg
    video.png
    vinoxml.png
    wine.png
)

install(FILES ${PIC_FILES}
    DESTINATION ${TELLICO_DATA_INSTALL_DIR}/pics
)

set(ICON_FILES
    16-apps-tellico.png
    16-mimetypes-application-x-tellico.png
    22-apps-tellico.png
    22-mimetypes-application-x-tellico.png
    32-apps-tellico.png
    32-mimetypes-application-x-tellico.png
    48-apps-tellico.png
    48-mimetypes-application-x-tellico.png
    64-apps-tellico.png
    64-mimetypes-application-x-tellico.png
    128-apps-tellico.png
    128-mimetypes-application-x-tellico.png
)

ecm_install_icons(ICONS ${ICON_FILES}
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== src/CMakeLists.txt ===
add_subdirectory(core)
add_subdirectory(config)
add_subdirectory(gui)
add_subdirectory(collections)
add_subdirectory(images)
add_subdirectory(translators)
add_subdirectory(fetch)
add_subdirectory(commands)
add_subdirectory(cite)
add_subdirectory(newstuff)
add_subdirectory(models)
add_subdirectory(utils)
add_subdirectory(3rdparty)

if(Qt${QT_MAJOR_VERSION}Charts_FOUND)
    add_subdirectory(charts)
endif()

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

if(ENABLE_WEBCAM)
    add_subdirectory(barcode)
endif()

########### next target ###############

set(ICONS_PNG
    ${CMAKE_SOURCE_DIR}/icons/16-apps-tellico.png
    ${CMAKE_SOURCE_DIR}/icons/22-apps-tellico.png
    ${CMAKE_SOURCE_DIR}/icons/32-apps-tellico.png
    ${CMAKE_SOURCE_DIR}/icons/48-apps-tellico.png
    ${CMAKE_SOURCE_DIR}/icons/64-apps-tellico.png
    ${CMAKE_SOURCE_DIR}/icons/128-apps-tellico.png
)

ecm_add_app_icon(ICONS_SOURCES ICONS ${ICONS_PNG})

set(tellico_SRCS
    ${ICONS_SOURCES}
    bibtexkeydialog.cpp
    borrower.cpp
    borrowerdialog.cpp
    collection.cpp
    collectionfactory.cpp
    collectionfieldsdialog.cpp
    configdialog.cpp
    controller.cpp
    dbusinterface.cpp
    detailedlistview.cpp
    derivedvalue.cpp
    document.cpp
    entry.cpp
    entryeditdialog.cpp
    entrygroup.cpp
    entryiconview.cpp
    entrycomparison.cpp
    entrymatchdialog.cpp
    entrymerger.cpp
    entryupdatejob.cpp
    entryupdater.cpp
    entryview.cpp
    exportdialog.cpp
    fetchdialog.cpp
    fetcherconfigdialog.cpp
    field.cpp
    fieldcompletion.cpp
    fieldformat.cpp
    filter.cpp
    filterdialog.cpp
    filterparser.cpp
    filterview.cpp
    groupview.cpp
    importdialog.cpp
    loandialog.cpp
    loanview.cpp
    main.cpp
    mainwindow.cpp
    printhandler.cpp
    progressmanager.cpp
    reportdialog.cpp
    tellico_debug.cpp
    tellico_kernel.cpp
    viewstack.cpp
    tellico.qrc
)

add_executable(tellico ${tellico_SRCS} ../icons/icons.qrc)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    target_compile_options(tellico PRIVATE -Werror=undef)
endif()

target_link_libraries(tellico
    core
    cite
    fetch
    collections
    images
    translators
    gui
    commands
    tellicomodels
    utils
    newstuff
    rtf2html-tellico
    ${TELLICO_BTPARSE_LIBS}
    ${TELLICO_CSV_LIBS}
)

target_link_libraries(tellico
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Widgets
    Qt${QT_MAJOR_VERSION}::DBus
    Qt${QT_MAJOR_VERSION}::PrintSupport
    KF${KF_MAJOR_VERSION}::Crash
    KF${KF_MAJOR_VERSION}::KIOCore
    KF${KF_MAJOR_VERSION}::KIOFileWidgets
    ${LIBXML2_LIBRARIES}
    ${LIBXSLT_LIBRARIES}
    ${LIBXSLT_EXSLT_LIBRARIES}
)

if(Qt${QT_MAJOR_VERSION}Charts_FOUND)
    target_link_libraries(tellico charts)
endif()

if(USE_KHTML)
    target_link_libraries(tellico KF${KF_MAJOR_VERSION}::KHtml)
    add_definitions(-DUSE_KHTML=${USE_KHTML})
else()
    target_link_libraries(tellico Qt${QT_MAJOR_VERSION}::WebEngineWidgets)
endif()

if(KF${KF_MAJOR_VERSION}NewStuff_FOUND)
    if(KF${KF_MAJOR_VERSION}_VERSION VERSION_GREATER_EQUAL "5.91.0")
    target_link_libraries(tellico KF${KF_MAJOR_VERSION}::NewStuffWidgets)
    else()
    target_link_libraries(tellico KF${KF_MAJOR_VERSION}::NewStuff)
    endif()
endif()

if(KDEPIMLIBS_FOUND)
    target_link_libraries(tellico
        KF${KF_MAJOR_VERSION}::Contacts
        ${KDEPIMLIBS_KCAL_LIBS}
        KF${KF_MAJOR_VERSION}::AkonadiContact
    )
endif()

if(${KCDDB_TARGET_NAME}_FOUND)
    target_link_libraries(tellico ${KCDDB_TARGET_NAME})
endif()

if(Exempi_FOUND)
    target_link_libraries(tellico ${Exempi_LIBRARIES})
endif()

if(CDIO_FOUND)
    target_link_libraries(tellico ${CDIO_LIBRARIES})
endif()

if(TAGLIB_FOUND)
    target_link_libraries(tellico ${TAGLIB_LIBRARIES})
endif()

if(Yaz_FOUND)
    target_link_libraries(tellico ${Yaz_LIBRARIES})
endif()

if(ENABLE_WEBCAM)
    target_link_libraries(tellico barcode ${LIBV4L_LIBRARIES})
endif()

if(${KSANE_TARGET_NAME}_FOUND)
    target_link_libraries(tellico ${KSANE_TARGET_NAME})
endif()

########### install files ###############

install(TARGETS tellico ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES tellicorc DESTINATION ${KDE_INSTALL_CONFDIR})

=== src/3rdparty/CMakeLists.txt ===
if(NOT Btparse_FOUND AND ENABLE_BTPARSE)
    add_subdirectory(btparse)
endif()

if(NOT Csv_FOUND)
    add_subdirectory(libcsv)
endif()

add_subdirectory(rtf2html)

=== src/charts/CMakeLists.txt ===
########### next target ###############

set(charts_STAT_SRCS
    barchart.cpp
    chartmanager.cpp
    collectionsizereport.cpp
    groupsummaryreport.cpp
    yeardistributionreport.cpp
)

add_library(charts STATIC ${charts_STAT_SRCS})

target_link_libraries(charts
    tellicomodels
    Qt${QT_MAJOR_VERSION}::Charts
)

=== src/collections/CMakeLists.txt ===
########### next target ###############

set(collections_STAT_SRCS
    bibtexcollection.cpp
    boardgamecollection.cpp
    bookcollection.cpp
    cardcollection.cpp
    coincollection.cpp
    collectioninitializer.cpp
    comicbookcollection.cpp
    filecatalog.cpp
    gamecollection.cpp
    musiccollection.cpp
    stampcollection.cpp
    videocollection.cpp
    winecollection.cpp
)

add_library(collections STATIC ${collections_STAT_SRCS})

# bibtexcollection depends on utils/bibtexhandler
target_link_libraries(collections utils Qt${QT_MAJOR_VERSION}::Core)

=== src/config/CMakeLists.txt ===
########### next target ###############

set(config_STAT_SRCS
    tellico_config_addons.cpp
)

set(config_KCFG_SRCS
    tellico_config.kcfgc
)

kconfig_add_kcfg_files(config_STAT_SRCS ${config_KCFG_SRCS})

add_custom_target(tellico_config DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/tellico_config.h)

add_library(config STATIC ${config_STAT_SRCS})

target_link_libraries(config
    Qt${QT_MAJOR_VERSION}::Core
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::ConfigCore
    KF${KF_MAJOR_VERSION}::ConfigGui
    KF${KF_MAJOR_VERSION}::ConfigWidgets
)

########### install files ###############

install(FILES tellico_config.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES tellico-rename.upd tellico.upd DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})

install(PROGRAMS tellico-1-3-update.pl tellico-3-4-update.pl DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})

=== src/core/CMakeLists.txt ===
########### next target ###############

set(core_STAT_SRCS
    filehandler.cpp
    logger.cpp
    netaccess.cpp
    tellico_strings.cpp
)

add_library(core STATIC ${core_STAT_SRCS})

target_link_libraries(core
    utils
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Xml
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::JobWidgets
    KF${KF_MAJOR_VERSION}::KIOWidgets
)

=== src/fetch/CMakeLists.txt ===
add_subdirectory(scripts)

########### next target ###############

set(fetch_STAT_SRCS
    adsfetcher.cpp
    amazonfetcher.cpp
    amazonrequest.cpp
    arxivfetcher.cpp
    bedethequefetcher.cpp
    bibliosharefetcher.cpp
    bibsonomyfetcher.cpp
    boardgamegeekfetcher.cpp
    colnectfetcher.cpp
    comicvinefetcher.cpp
    configwidget.cpp
    crossreffetcher.cpp
    dbcfetcher.cpp
    dblpfetcher.cpp
    discogsfetcher.cpp
    doubanfetcher.cpp
    dvdfrfetcher.cpp
    entrezfetcher.cpp
    execexternalfetcher.cpp
    fetcher.cpp
    fetcherinfolistitem.cpp
    fetcherinitializer.cpp
    fetcherjob.cpp
    fetchmanager.cpp
    fetchrequest.cpp
    fetchresult.cpp
    filmaffinityfetcher.cpp
    filmasterfetcher.cpp
    gaminghistoryfetcher.cpp
    gcstarpluginfetcher.cpp
    gcstarthread.cpp
    giantbombfetcher.cpp
    googlebookfetcher.cpp
    googlescholarfetcher.cpp
    hathitrustfetcher.cpp
    ibsfetcher.cpp
    igdbfetcher.cpp
    imdbfetcher.cpp
    imdbfetcher_query.cpp
    isbndbfetcher.cpp
    itunesfetcher.cpp
    kinofetcher.cpp
    kinopoiskfetcher.cpp
    kinoteatrfetcher.cpp
    messagehandler.cpp
    messagelogger.cpp
    mobygamesfetcher.cpp
    moviemeterfetcher.cpp
    mrlookupfetcher.cpp
    multifetcher.cpp
    musicbrainzfetcher.cpp
    numistafetcher.cpp
    omdbfetcher.cpp
    opdsfetcher.cpp
    openlibraryfetcher.cpp
    rpggeekfetcher.cpp
    springerfetcher.cpp
    srufetcher.cpp
    thegamesdbfetcher.cpp
    themoviedbfetcher.cpp
    thetvdbfetcher.cpp
    tvmazefetcher.cpp
    upcitemdbfetcher.cpp
    vgcollectfetcher.cpp
    videogamegeekfetcher.cpp
    vndbfetcher.cpp
    xmlfetcher.cpp
    z3950connection.cpp
    z3950fetcher.cpp
)

add_library(fetch STATIC ${fetch_STAT_SRCS})

target_link_libraries(fetch
    newstuff
    utils
    ${TELLICO_BTPARSE_LIBS}
    Qt${QT_MAJOR_VERSION}::Network
    KF${KF_MAJOR_VERSION}::Archive
    KF${KF_MAJOR_VERSION}::IconThemes
    KF${KF_MAJOR_VERSION}::JobWidgets
    KF${KF_MAJOR_VERSION}::KIOWidgets
    KF${KF_MAJOR_VERSION}::ConfigWidgets
    KF${KF_MAJOR_VERSION}::KIOGui
    KF${KF_MAJOR_VERSION}::GuiAddons
)

if(Yaz_FOUND)
    target_link_libraries(fetch ${Yaz_LIBRARIES})
endif()

########### install files ###############

install(FILES z3950-servers.cfg DESTINATION ${TELLICO_DATA_INSTALL_DIR})

=== src/models/CMakeLists.txt ===
########### next target ###############

set(models_STAT_SRCS
    abstractsortmodel.cpp
    borrowermodel.cpp
    entrygroupmodel.cpp
    entryiconmodel.cpp
    entrymodel.cpp
    entryselectionmodel.cpp
    entrysortmodel.cpp
    fieldcomparison.cpp
    filtermodel.cpp
    groupsortmodel.cpp
    modeliterator.cpp
    modelmanager.cpp
    stringcomparison.cpp
)

add_library(tellicomodels STATIC ${models_STAT_SRCS})

target_link_libraries(tellicomodels
    core
    images
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Gui
    Qt${QT_MAJOR_VERSION}::Widgets
    KF${KF_MAJOR_VERSION}::ItemModels
)

add_dependencies(tellicomodels tellico_config)

=== src/utils/CMakeLists.txt ===
########### next target ###############

set(utils_STAT_SRCS
    bibtexhandler.cpp
    cursorsaver.cpp
    datafileregistry.cpp
    gradient.cpp
    guiproxy.cpp
    iso5426converter.cpp
    iso6937converter.cpp
    isbnvalidator.cpp
    lccnvalidator.cpp
    mergeconflictresolver.cpp
    string_utils.cpp
    tellico_utils.cpp
    upcvalidator.cpp
    urlfieldlogic.cpp
    xmlhandler.cpp
)

add_library(utils STATIC ${utils_STAT_SRCS})

target_link_libraries(utils
    collections
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Widgets
    Qt${QT_MAJOR_VERSION}::Xml
    KF${KF_MAJOR_VERSION}::CoreAddons # for KRandom
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::WidgetsAddons
    KF${KF_MAJOR_VERSION}::Codecs
    KF${KF_MAJOR_VERSION}::KIOCore
)

=== xslt/entry-templates/CMakeLists.txt ===
########### install files ###############

set(ENTRY_FILES
    Album.xsl
    Compact.xsl
    Default.xsl
    Fancy.xsl
    Video.xsl
)

install(FILES ${ENTRY_FILES} DESTINATION ${TELLICO_DATA_INSTALL_DIR}/entry-templates)

=== debian/changelog ===
tellico (4.1.4-2ubuntu1) resolute; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add apparmor profile to fix userns.
    - For now make build time tests non fatal.

 -- Rik Mills <rikmills@kde.org>  Fri, 19 Dec 2025 07:52:00 +0000

tellico (4.1.4-2) unstable; urgency=medium

  * Skip Group_Statistics.xsl in HtmlExporterTest::testTemplatesTidy(), as
    this template is buggy, and removed upstream (already for 4.1.5+); patch
    tests-avoid-Group_Statistics.diff
    - drop patch xfail_libxml2.15.diff, obsoleted by the aforementioned patch
  * Backport the upstream MR
    https://invent.kde.org/office/tellico/-/merge_requests/30 to explicitly use
    signed char for a fallback-of-fallback XML sanitization method; patch
    Change-XML-removeInvalidXml-to-check-chars-as-explic.diff.
    (Closes: #1121706)
  * Switch the dbus test build dependency to dbus-daemon, as only
    dbus-run-session is needed. (Closes: #1122725)

 -- Pino Toscano <pino@debian.org>  Thu, 18 Dec 2025 09:05:48 +0100

tellico (4.1.4-1ubuntu2) resolute; urgency=medium

  * For now make build time tests non fatal.

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Dec 2025 23:07:57 +0000

tellico (4.1.4-1ubuntu1) resolute; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add apparmor profile to fix userns.

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 11:56:18 +0000

tellico (4.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Backport upstream commit beaa6edc3cd44536bfe0ae73a4685b581693ea76 to fix
    TellicoReadTest with libxml2 2.15; patch
    upstream_Adapt-XML-validation-tests-to-libxml2-2.15.patch.
  * Temporarily XFAIL two test cases in HtmlExporterTest::testTemplatesTidy()
    (the ones with Group_Statistics.xsl), as there seems to be a problem when
    loading the generated HTML file when using libxml2 2.15 (reported upstream
    as https://bugs.kde.org/show_bug.cgi?id=511207); patch
    xfail_libxml2.15.diff.
  * Print the leftover temporary files after running the tests, to easily spot
    leaked files.

 -- Pino Toscano <pino@debian.org>  Wed, 29 Oct 2025 10:43:23 +0100

=== debian/control ===
Source: tellico
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               dh-sequence-python3,
               breeze-icon-theme <!nocheck>,
               cmake (>= 3.16~),
               dbus-daemon <!nocheck>,
               extra-cmake-modules,
               gettext,
               kio6 <!nocheck>,
               libbtparse-dev,
               libcdio-dev,
               libcsv-dev,
               libexempi-dev,
               libkf6archive-dev (>= 5.240.0~),
               libkf6codecs-dev (>= 5.240.0~),
               libkf6colorscheme-dev (>= 5.240.0~),
               libkf6completion-dev (>= 5.240.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6configwidgets-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6doctools-dev (>= 5.240.0~),
               libkf6filemetadata-dev (>= 5.240.0~),
               libkf6guiaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6iconthemes-dev (>= 5.240.0~),
               libkf6itemmodels-dev (>= 5.240.0~),
               libkf6jobwidgets-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6newstuff-dev (>= 5.240.0~),
               libkf6solid-dev (>= 5.240.0~),
               libkf6sonnet-dev (>= 5.240.0~),
               libkf6textwidgets-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               libkcddb6-dev,
               libksane-dev,
               libpoppler-qt6-dev [!i386],
               libtag-dev,
               libxml2-dev,
               libxslt1-dev,
               libyaz-dev,
               pkgconf,
               python3:any,
               qt6-base-dev (>= 6.4.0~),
               qt6-charts-dev (>= 6.4.0~),
               qt6-webengine-dev (>= 6.4.0~),
               tidy <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
               yaz <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://tellico-project.org/
Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/tellico
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/tellico

Package: tellico
Architecture: any
Depends: tellico-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
Recommends: kio-extras, tellico-doc,
Suggests: apparmor
Description: Collection manager for books, videos, music, etc
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines.
 .
 Tellico capabilities include:
 .
   * creation of user-defined custom collections with unlimited fields,
   * automatically formatted names,
   * sorting and filtering by any field or property,
   * ISBN validation,
   * full customization for printing or display through XSLT files,
   * import and export of CSV, RIS, BibTeX and BibTeXML files,
   * import data from Amazon, IMDb, CDDB or any US-MARC compliant z39.50 server.
 .
 Tellico files are stored in XML format, avoiding the need for a database
 server, and allowing other software applications to use the data.

Package: tellico-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Recommends: khelpcenter, tellico,
Description: Collection manager for books, videos, music, etc [doc]
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines.
 .
 Tellico capabilities include:
 .
   * creation of user-defined custom collections with unlimited fields,
   * automatically formatted names,
   * sorting and filtering by any field or property,
   * ISBN validation,
   * full customization for printing or display through XSLT files,
   * import and export of CSV, RIS, BibTeX and BibTeXML files,
   * import data from Amazon, IMDb, CDDB or any US-MARC compliant z39.50 server.
 .
 Tellico files are stored in XML format, avoiding the need for a database
 server, and allowing other software applications to use the data.
 .
 This package contains the documentation.

Package: tellico-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${python3:Depends},
Recommends: tellico,
Breaks: tellico-scripts (<< 4.0-2~),
Replaces: tellico-scripts (<< 4.0-2~),
Description: Collection manager for books, videos, music, etc [data]
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines.
 .
 Tellico capabilities include:
 .
   * creation of user-defined custom collections with unlimited fields,
   * automatically formatted names,
   * sorting and filtering by any field or property,
   * ISBN validation,
   * full customization for printing or display through XSLT files,
   * import and export of CSV, RIS, BibTeX and BibTeXML files,
   * import data from Amazon, IMDb, CDDB or any US-MARC compliant z39.50 server.
 .
 Tellico files are stored in XML format, avoiding the need for a database
 server, and allowing other software applications to use the data.
 .
 This package contains the architecture independent files, such data files and
 documentation.

Package: tellico-scripts
Section: oldlibs
Architecture: all
Depends: ${misc:Depends},
Description: transitional package for tellico-data
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines.
 .
 This is a transitional package for the move of the scripts to tellico-data,
 so it can be safely uninstalled.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd obj-* && $(MAKE) install DESTDIR=$(CURDIR)/test_root
	mkdir -p "$(CURDIR)/test_root/tmp"
	-xvfb-run -a --server-args="-screen 0 1024x768x24+32" dbus-run-session dh_auto_test --no-parallel -- XDG_DATA_DIRS=$(CURDIR)/test_root/usr/share:/usr/local/share:/usr/share TMPDIR="$(CURDIR)/test_root/tmp"
	# check leftover temporary files
	cd "$(CURDIR)/test_root/tmp" && find | sort
endif

execute_after_dh_auto_install:
	# extra copyright notices
	rm -fv debian/tmp/usr/share/tellico/pics/README.*
	mkdir -p debian/tmp/etc/apparmor.d
	cp debian/tellico-apparmor debian/tmp/etc/apparmor.d/usr.bin.tellico
	dh_apparmor --profile-name=usr.bin.tellico -ptellico

override_dh_python3:
	dh_python3 -p tellico-data --shebang=/usr/bin/python3 /usr/share/tellico/data-sources

## tellico 4.1.4+p24.04+vstable+git20260114.1153

=== debian/changelog ===
tellico (4.1.4+p24.04+vstable+git20260114.1153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 11:53:57 +0000

tellico (4.1.4-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 12 Nov 2025 10:45:36 +1000

## tellico 4.1.4+p24.04+vstable+git20260122.0731

=== debian/changelog ===
tellico (4.1.4+p24.04+vstable+git20260122.0731-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 07:31:45 +0000

## tellico 4.1.4+p24.04+vunstable+git20251128.0751

=== src/images/CMakeLists.txt ===
set(images_STAT_SRCS
    image.cpp
    imagedirectory.cpp
    imagefactory.cpp
    imageinfo.cpp
    imagejob.cpp
)

add_library(images STATIC ${images_STAT_SRCS})

target_link_libraries(images
    core
    config
    utils
    KF6::KIOCore
    KF6::Archive
    KF6::GuiAddons
    Qt6::Gui
)

add_dependencies(images tellico_config)

=== debian/changelog ===
tellico (4.1.4+p24.04+vunstable+git20251128.0751-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 28 Nov 2025 07:51:16 +0000

## tellico 4.1.4+p24.04+vunstable+git20251208.0257

=== debian/changelog ===
tellico (4.1.4+p24.04+vunstable+git20251208.0257-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 02:57:53 +0000

## tellico 4.1.4+p24.04+vunstable+git20251211.0306

=== CMakeLists.txt ===
# FindPoppler requires CMake >= 3.16
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

project(Tellico)
set(TELLICO_VERSION "4.2+git")
set(QT_MIN_VERSION "6.4.0")
set(KF_MIN_VERSION "5.240.0")
set(CMAKE_CXX_STANDARD 20)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

if(POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif()

# https://gitlab.kitware.com/cmake/community/wikis/doc/cmake/Useful-Variables
# automatically add CMAKE_CURRENT_SOURCE_DIR and CMAKE_CURRENT_BINARY_DIR
# to the include directories in every processed CMakeLists.txt
set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
                      ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
                      ${ECM_MODULE_PATH})

include(ECMAddAppIcon)
include(ECMUninstallTarget)
include(FeatureSummary)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
set(CMAKE_C_EXTENSIONS OFF)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

############# Options #################

option(BUILD_DOC           "Whether to build the documentation" TRUE)
option(ENABLE_CDTEXT       "Enable cdtext" TRUE)
option(ENABLE_WEBCAM       "Enable support for webcams" FALSE)
option(BUILD_FETCHER_TESTS "Build tests which verify data sources" FALSE)
option(ENABLE_BTPARSE      "Build with bibtex importing using btparse, whether internal or external" TRUE)

# btparse does not compile with msvc
if(ENABLE_BTPARSE AND MSVC)
    set(ENABLE_BTPARSE FALSE)
endif()

include(CheckSymbolExists)
check_symbol_exists(strlwr "string.h" HAVE_STRLWR)
check_symbol_exists(strupr "string.h" HAVE_STRUPR)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Network
    PrintSupport
    Test
    WebEngineWidgets
    Widgets
    Xml
)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG OPTIONAL_COMPONENTS
    Charts
)

find_package(KF6 REQUIRED COMPONENTS
    Archive
    Codecs
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    GuiAddons
    IconThemes
    ItemModels
    I18n
    JobWidgets
    KIO
    Solid
    Sonnet
    TextWidgets
    WidgetsAddons
    XmlGui
    ColorScheme
)

include(MacroBoolTo01)

find_package(Gettext REQUIRED)
find_package(LibXml2 REQUIRED)
find_package(LibXslt REQUIRED)

if(BUILD_DOC)
    find_package(KF6DocTools REQUIRED)
    set_package_properties(KF6DocTools PROPERTIES
        DESCRIPTION "Tools to generate documentation"
        TYPE REQUIRED)
endif()

find_package(KF6FileMetaData)
set_package_properties(KF6FileMetaData PROPERTIES
    DESCRIPTION "Support for reading file metadata"
    URL "https://www.kde.org"
    TYPE OPTIONAL)

find_package(KF6NewStuff)
set_package_properties(KF6NewStuff PROPERTIES
    DESCRIPTION "Support for fetching new templates and scripts"
    URL "https://www.kde.org"
    TYPE OPTIONAL)

find_package(KSaneWidgets6)
set_package_properties(KSaneWidgets6 PROPERTIES
    DESCRIPTION "Support for adding scanned images to a collection"
    URL "https://www.kde.org"
    TYPE OPTIONAL)

find_package(KCddb6 5.1)
set_package_properties(KCddb6 PROPERTIES
    DESCRIPTION "Support for CDDB searches"
    URL "https://invent.kde.org/multimedia/libkcddb"
    TYPE OPTIONAL)

find_package(Taglib)
if(TAGLIB_FOUND)
    if(TAGLIB_LIBRARIES)
        # Older taglib
        add_definitions(${TAGLIB_CFLAGS})
        include_directories(${TAGLIB_INCLUDES})
    else()
        set(TAGLIB_LIBRARIES Taglib::Taglib)
    endif()
endif()

find_package(Yaz 2.0)
set_package_properties(Yaz PROPERTIES
    DESCRIPTION "Support for searching z39.50 databases"
    URL "https://www.indexdata.com/resources/software/yaz/"
    TYPE OPTIONAL)
if(Yaz_FOUND)
    include_directories(${Yaz_INCLUDE_DIRS})
endif()

# FindPoppler is part of ECM >= 5.19
find_package(Poppler COMPONENTS Qt6)

find_package(Exempi 2.0)
set_package_properties(Exempi PROPERTIES
    DESCRIPTION "Support for reading PDF/XMP metadata"
    URL "https://libopenraw.freedesktop.org/exempi/"
    TYPE OPTIONAL)
if(Exempi_FOUND)
    include_directories(${Exempi_INCLUDE_DIRS})
endif()

if(ENABLE_BTPARSE)
    find_package(Btparse)
    set_package_properties(Btparse PROPERTIES
        DESCRIPTION "External support for parsing and processing BibTeX data files"
        URL "https://metacpan.org/release/Text-BibTeX"
        TYPE OPTIONAL)
    if(Btparse_FOUND)
        include_directories(${Btparse_INCLUDE_DIRS})
        set(TELLICO_BTPARSE_LIBS ${Btparse_LIBRARIES})
    else()
        set(TELLICO_BTPARSE_LIBS btparse-tellico)
    endif()
endif()

find_package(CDIO)
set_package_properties(CDIO PROPERTIES
    DESCRIPTION "Support for reading cdtext from audio CDs"
    URL "https://www.gnu.org/software/libcdio/"
    TYPE OPTIONAL)
if(CDIO_FOUND)
    include_directories(${CDIO_INCLUDE_DIRS})
endif()

find_package(Csv 3.0)
set_package_properties(Csv PROPERTIES
    DESCRIPTION "External support for reading CSV files"
    URL "http://sourceforge.net/projects/libcsv/"
    TYPE OPTIONAL)
if(Csv_FOUND)
    include_directories(${Csv_INCLUDE_DIRS})
    set(TELLICO_CSV_LIBS ${Csv_LIBRARIES})
else()
    set(TELLICO_CSV_LIBS csv-tellico)
endif()

# webcam uses libv4l, which only works on Linux for now
# Linux 2.6.38 removed the videodev.h header
# libv4l 0.8.3 includes a compat header for videodev.h
if(ENABLE_WEBCAM)
    if(NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
        message("WARNING: Webcam support is not available on your platform")
        set(ENABLE_WEBCAM FALSE)
    else()
        pkg_check_modules(LIBV4L libv4l1>=0.6)
        set_package_properties(LIBV4L PROPERTIES
            DESCRIPTION "Support for barcode scanning with a webcam"
            URL "https://hansdegoede.livejournal.com/3636.html"
            TYPE OPTIONAL)
        if(LIBV4L_FOUND)
            if(LIBV4L_VERSION VERSION_LESS "0.8.3" AND CMAKE_SYSTEM_VERSION VERSION_GREATER "2.6.37")
                message("WARNING: libv4l 0.8.3 or later is required for Linux kernel 2.6.38 or later")
                set(ENABLE_WEBCAM FALSE)
            else()
                include_directories(${LIBV4L_INCLUDE_DIR})
            endif()
        else()
            set(ENABLE_WEBCAM FALSE)
        endif()
    endif()
endif()

if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -fno-check-new -Woverloaded-virtual")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated -Wno-deprecated-declarations")
elseif(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror=declaration-after-statement -Werror=implicit-function-declaration")
endif()

add_definitions(-DQT_STL -DQT_NO_EMIT -DQT_NO_CAST_FROM_ASCII -DQT_NO_URL_CAST_FROM_STRING -DQT_USE_QSTRINGBUILDER)
remove_definitions(-DQT_NO_STL -DQT_NO_KEYWORDS -DQT_NO_FOREACH)

include_directories(${LIBXML2_INCLUDE_DIR}
                    ${LIBXSLT_INCLUDE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${Tellico_SOURCE_DIR}/src/config
                    ${Tellico_SOURCE_DIR}/src/3rdparty)

set(TELLICO_DATA_INSTALL_DIR ${KDE_INSTALL_DATADIR}/tellico)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(xslt)

if(BUILD_DOC)
    add_subdirectory(doc)
endif()

########## Wrap tests results around the tests done within the source

macro_bool_to_01(TAGLIB_FOUND HAVE_TAGLIB)
macro_bool_to_01(Poppler_Qt6_FOUND HAVE_POPPLER)
macro_bool_to_01(Exempi_FOUND HAVE_EXEMPI)
macro_bool_to_01(Yaz_FOUND HAVE_YAZ)
macro_bool_to_01(KSaneWidgets6_FOUND HAVE_KSANE)
macro_bool_to_01(KCddb6_FOUND HAVE_KCDDB)
macro_bool_to_01(KDEPIMLIBS_FOUND HAVE_KABC)
macro_bool_to_01(KDEPIMLIBS_FOUND HAVE_KCAL)
macro_bool_to_01(LIBV4L_FOUND HAVE_V4L)
macro_bool_to_01(KF6NewStuff_FOUND ENABLE_KNEWSTUFF3)
macro_bool_to_01(Btparse_FOUND HAVE_LIBBTPARSE)
macro_bool_to_01(CDIO_FOUND HAVE_CDIO)
macro_bool_to_01(Csv_FOUND HAVE_LIBCSV)
macro_bool_to_01(KF6FileMetaData_FOUND HAVE_KFILEMETADATA)
macro_bool_to_01(Qt6Charts_FOUND HAVE_QCHARTS)
macro_bool_to_01(ENABLE_BTPARSE ENABLE_BTPARSE)
macro_bool_to_01(BUILD_FETCHER_TESTS ENABLE_NETWORK_TESTS)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

########### install files ###############

install(PROGRAMS org.kde.tellico.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES tellico.xml DESTINATION  ${KDE_INSTALL_MIMEDIR})
install(FILES org.kde.tellico.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
ki18n_install(po)

if(BUILD_DOC)
    kdoctools_install(po)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
tellico (4.1.4+p24.04+vunstable+git20251211.0306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 03:06:52 +0000

## tellico 4.1.4+p24.04+vunstable+git20260103.0229

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,6 +51,7 @@
 check_symbol_exists(strupr "string.h" HAVE_STRUPR)
 
 find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
+    Concurrent
     Core
     DBus
     Network

=== src/fetch/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 ########### next target ###############
 
 set(fetch_STAT_SRCS
+    abstractbggfetcher.cpp
     adsfetcher.cpp
     amazonfetcher.cpp
     amazonrequest.cpp
@@ -43,12 +44,14 @@
     imdbfetcher.cpp
     imdbfetcher_query.cpp
     isbndbfetcher.cpp
+    isfdbfetcher.cpp
     itunesfetcher.cpp
     kinofetcher.cpp
     kinopoiskfetcher.cpp
     kinoteatrfetcher.cpp
     messagehandler.cpp
     messagelogger.cpp
+    metronfetcher.cpp
     mobygamesfetcher.cpp
     moviemeterfetcher.cpp
     mrlookupfetcher.cpp
@@ -80,14 +83,14 @@
     newstuff
     utils
     ${TELLICO_BTPARSE_LIBS}
-    Qt${QT_MAJOR_VERSION}::Network
-    KF${KF_MAJOR_VERSION}::Archive
-    KF${KF_MAJOR_VERSION}::IconThemes
-    KF${KF_MAJOR_VERSION}::JobWidgets
-    KF${KF_MAJOR_VERSION}::KIOWidgets
-    KF${KF_MAJOR_VERSION}::ConfigWidgets
-    KF${KF_MAJOR_VERSION}::KIOGui
-    KF${KF_MAJOR_VERSION}::GuiAddons
+    Qt6::Network
+    KF6::Archive
+    KF6::IconThemes
+    KF6::JobWidgets
+    KF6::KIOWidgets
+    KF6::ConfigWidgets
+    KF6::KIOGui
+    KF6::GuiAddons
 )
 
 if(Yaz_FOUND)

=== src/tests/CMakeLists.txt ===
include(ECMAddTests)
include(ECMMarkNonGuiExecutable)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

# formattest includes fieldformat that include core/tellico_config.h
# which is generated in the build directory
include_directories(${Tellico_BINARY_DIR}/src)

ecm_add_test(entitytest.cpp ../fieldformat.cpp ../tellico_debug.cpp
    TEST_NAME entitytest
    LINK_LIBRARIES Qt6::Test utils config
)

ecm_add_test(comparisontest.cpp
    TEST_NAME comparisontest
    LINK_LIBRARIES Qt6::Test tellicotest tellicomodels
)

ecm_add_test(completiontest.cpp ../fieldcompletion.cpp ../field.cpp ../fieldformat.cpp
    TEST_NAME completiontest
    LINK_LIBRARIES Qt6::Test KF6::Completion utils config
)

ecm_add_test(cuecattest.cpp
    TEST_NAME cuecattest
    LINK_LIBRARIES Qt6::Test utils
)

ecm_add_test(isbntest.cpp
    TEST_NAME isbntest
    LINK_LIBRARIES Qt6::Test utils
)

ecm_add_test(lccntest.cpp
    TEST_NAME lccntest
    LINK_LIBRARIES Qt6::Test utils
)

ecm_add_test(lcctest.cpp ../field.cpp ../fieldformat.cpp ../tellico_debug.cpp
    TEST_NAME lcctest
    LINK_LIBRARIES Qt6::Test tellicomodels
)

ecm_add_test(formattest.cpp ../fieldformat.cpp
    TEST_NAME formattest
    LINK_LIBRARIES Qt6::Test config
)

ecm_add_test(fieldtest.cpp ../field.cpp ../fieldformat.cpp
    TEST_NAME fieldtest
    LINK_LIBRARIES Qt6::Test config utils
)

ecm_add_test(imagetest.cpp
    ../utils/tellico_utils.cpp
    ../utils/guiproxy.cpp
    ../utils/cursorsaver.cpp
    ../fieldformat.cpp
    ../tellico_debug.cpp
    TEST_NAME imagetest
    LINK_LIBRARIES Qt6::Test KF6::Archive images
)

ecm_add_test(imagejobtest.cpp ../fieldformat.cpp ../tellico_debug.cpp
    TEST_NAME imagejobtest
    LINK_LIBRARIES Qt6::Test  KF6::Archive images
)

ecm_add_test(iso6937test.cpp ../tellico_debug.cpp
    TEST_NAME iso6937test
    LINK_LIBRARIES Qt6::Test utils
)

ecm_add_test(iso5426test.cpp ../tellico_debug.cpp
    TEST_NAME iso5426test
    LINK_LIBRARIES Qt6::Test utils
)

ecm_add_test(newstufftest.cpp ../fieldformat.cpp ../tellico_debug.cpp
    TEST_NAME newstufftest
    LINK_LIBRARIES Qt6::Test newstuff config
)

ecm_add_test(rtftest.cpp
    TEST_NAME rtftest
    LINK_LIBRARIES Qt6::Test rtf2html-tellico
)

set(tellicotest_SRCS
    ../collection.cpp
    ../entry.cpp
    ../entrygroup.cpp
    ../entrycomparison.cpp
    ../field.cpp
    ../fieldformat.cpp
    ../filter.cpp
    ../borrower.cpp
    ../collectionfactory.cpp
    ../derivedvalue.cpp
    ../progressmanager.cpp
    ../tellico_debug.cpp
)

add_library(tellicotest STATIC ${tellicotest_SRCS})
target_link_libraries(tellicotest
    Qt6::Core
    Qt6::Gui
    KF6::I18n
    KF6::ConfigWidgets
)

add_dependencies(tellicotest tellico_config)

set(translatorstest_SRCS
    ../translators/tellicoimporter.cpp
    ../translators/xsltimporter.cpp
    ../translators/textimporter.cpp
    ../translators/dataimporter.cpp
    ../translators/importer.cpp
    ../translators/tellicoxmlreader.cpp
    ../translators/tellico_xml.cpp
    ../translators/xmlstatehandler.cpp
    ../translators/xslthandler.cpp
)

add_library(translatorstest STATIC ${translatorstest_SRCS})
target_link_libraries(translatorstest
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
    Qt6::Xml
    KF6::I18n
    KF6::Archive
    KF6::KIOWidgets
    KF6::ConfigWidgets
    ${LIBXML2_LIBRARIES}
    ${LIBXSLT_LIBRARIES}
    ${LIBXSLT_EXSLT_LIBRARIES}
)

set(TELLICO_TEST_LIBS
    tellicotest
    collections
    utils
    images
    core
    tellicomodels
    Qt6::Test
    KF6::KIOCore
    KF6::Archive
    KF6::Solid
)

ecm_add_test(collectiontest.cpp
    ../document.cpp
    ../utils/mergeconflictresolver.cpp
    ../translators/tellicoxmlexporter.cpp
    ../translators/tellicozipexporter.cpp
    ../translators/exporter.cpp
    TEST_NAME collectiontest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(commandtest.cpp
    ../commands/collectioncommand.cpp
    ../document.cpp
    ../translators/tellicoxmlexporter.cpp
    ../translators/tellicozipexporter.cpp
    ../translators/exporter.cpp
    TEST_NAME commandtest
    LINK_LIBRARIES translatorstest ${TELLICO_TEST_LIBS}
    # order of library linking here apparently matters
)

ecm_add_test(documenttest.cpp
    ../document.cpp
    ../entryview.cpp
    ../translators/tellicoxmlexporter.cpp
    ../translators/tellicozipexporter.cpp
    ../translators/exporter.cpp
    TEST_NAME documenttest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} Qt6::WebEngineWidgets translatorstest
)

ecm_add_test(entrycomparisontest.cpp
    TEST_NAME entrycomparisontest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS}
)

ecm_add_test(filtertest.cpp
    ../filter.cpp
    ../filterparser.cpp
    TEST_NAME filtertest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS}
)

ecm_add_test(tellicomodeltest.cpp
    modeltest.cpp
    ../document.cpp
    ../translators/tellicoimporter.cpp
    ../translators/dataimporter.cpp
    ../translators/importer.cpp
    ../translators/tellicoxmlexporter.cpp
    ../translators/tellicozipexporter.cpp
    ../translators/exporter.cpp
    ../translators/tellicoxmlreader.cpp
    ../translators/tellico_xml.cpp
    ../translators/xmlstatehandler.cpp
    TEST_NAME tellicomodeltest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} ${LIBXML2_LIBRARIES}
)

######################################################

ecm_add_test(adstest.cpp
    ../translators/adsimporter.cpp
    ../translators/importer.cpp
    TEST_NAME adstest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS}
)

ecm_add_test(alexandriatest.cpp
    ../translators/alexandriaimporter.cpp
    ../translators/importer.cpp
    ../translators/alexandriaexporter.cpp
    ../translators/exporter.cpp
    TEST_NAME alexandriatest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS}
)

ecm_add_test(amctest.cpp
    ../translators/amcimporter.cpp
    ../translators/dataimporter.cpp
    ../translators/importer.cpp
    TEST_NAME amctest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS}
)

if(TAGLIB_FOUND)
    ecm_add_test(audiofiletest.cpp
        ../translators/audiofileimporter.cpp
        ../translators/dataimporter.cpp
        ../translators/importer.cpp
        TEST_NAME audiofiletest
        LINK_LIBRARIES ${TELLICO_TEST_LIBS} ${TAGLIB_LIBRARIES}
    )
endif()

ecm_add_test(bibtextest.cpp
    ../translators/bibteximporter.cpp
    ../translators/importer.cpp
    ../translators/bibtexexporter.cpp
    ../translators/exporter.cpp
    TEST_NAME bibtextest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} ${TELLICO_BTPARSE_LIBS}
)

ecm_add_test(bibtexmltest.cpp
    ../translators/bibtexmlimporter.cpp
    ../translators/bibtexmlexporter.cpp
    ../translators/exporter.cpp
    TEST_NAME bibtexmltest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest core
)

ecm_add_test(citetest.cpp
    ../collections/bibtexcollection.cpp
    ../core/filehandler.cpp
    TEST_NAME citetest
    LINK_LIBRARIES Qt6::Test cite tellicotest config images
)

ecm_add_test(ciwtest.cpp
    ../translators/ciwimporter.cpp
    ../translators/importer.cpp
    TEST_NAME ciwtest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS}
)

ecm_add_test(collectorztest.cpp
    ../translators/collectorzimporter.cpp
    TEST_NAME collectorztest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(csvtest.cpp
    ../translators/csvparser.cpp
    ../translators/csvimporter.cpp
    ../translators/csvexporter.cpp
    ../translators/exporter.cpp
    ../gui/collectiontypecombo.cpp
    ../gui/combobox.cpp
    ../gui/listwidgetitem.cpp
    ../gui/stringmapwidget.cpp
    ../gui/stringmapdialog.cpp
    ../collectionfieldsdialog.cpp
    TEST_NAME csvtest
    LINK_LIBRARIES ${TELLICO_CSV_LIBS} ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(datacrowtest.cpp
    ../translators/datacrowimporter.cpp
    TEST_NAME datacrowtest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(delicioustest.cpp
    ../translators/deliciousimporter.cpp
    TEST_NAME delicioustest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest rtf2html-tellico
)

ecm_add_test(discogstest.cpp
    ../translators/discogsimporter.cpp
    TEST_NAME discogstest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(fieldwidgettest.cpp
    ../gui/boolfieldwidget.cpp
    ../gui/checkablecombobox.cpp
    ../gui/choicefieldwidget.cpp
    ../gui/datefieldwidget.cpp
    ../gui/datewidget.cpp
    ../gui/spinbox.cpp
    ../gui/imagewidget.cpp
    ../gui/imagefieldwidget.cpp
    ../gui/linefieldwidget.cpp
    ../gui/lineedit.cpp
    ../gui/numberfieldwidget.cpp
    ../gui/parafieldwidget.cpp
    ../gui/ratingwidget.cpp
    ../gui/ratingfieldwidget.cpp
    ../gui/tablefieldwidget.cpp
    ../gui/urlfieldwidget.cpp
    ../gui/fieldwidget.cpp
    ../document.cpp
    ../fieldcompletion.cpp
    ../translators/tellicoxmlexporter.cpp
    ../translators/tellicozipexporter.cpp
    ../translators/exporter.cpp
    TEST_NAME fieldwidgettest
    LINK_LIBRARIES translatorstest
        ${TELLICO_TEST_LIBS}
        KF6::XmlGui
        KF6::SonnetCore
        KF6::SonnetUi
        KF6::TextWidgets
        KF6::KIOFileWidgets
)
if(KSaneWidgets6_FOUND)
    target_link_libraries(fieldwidgettest KSaneWidgets6)
endif()

ecm_add_test(filelistingtest.cpp
    ../translators/filelistingimporter.cpp
    ../translators/filereader.cpp
    ../translators/filereaderbook.cpp
    ../translators/filereadervideo.cpp
    ../translators/xmphandler.cpp
    ../gui/collectiontypecombo.cpp
    ../gui/combobox.cpp
    TEST_NAME filelistingtest
    LINK_LIBRARIES translatorstest ${TELLICO_TEST_LIBS} KF6::Solid #order of libs here is important
)
if(KF6FileMetaData_FOUND)
    target_link_libraries(filelistingtest KF6::FileMetaData)
endif()
if(Exempi_FOUND)
    target_link_libraries(filelistingtest ${Exempi_LIBRARIES})
endif()

ecm_add_test(gcstartest.cpp
    ../translators/gcstarimporter.cpp
    ../translators/gcstarexporter.cpp
    ../translators/tellicoxmlexporter.cpp
    ../translators/tellicozipexporter.cpp
    ../translators/exporter.cpp
    ../document.cpp
    TEST_NAME gcstartest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(goodreadstest.cpp
    ../translators/goodreadsimporter.cpp
    TEST_NAME goodreadstest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(griffithtest.cpp
    ../translators/griffithimporter.cpp
    TEST_NAME griffithtest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(htmlexportertest.cpp
    ../translators/htmlexporter.cpp
    ../translators/tellicoxmlexporter.cpp
    ../translators/tellicozipexporter.cpp
    ../translators/exporter.cpp
    ../document.cpp
    ../../icons/icons.qrc
    TEST_NAME htmlexportertest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(librarythingtest.cpp
    ../translators/librarythingimporter.cpp
    ../translators/importer.cpp
    TEST_NAME librarythingtest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS}
)

ecm_add_test(marctest.cpp
    ../translators/marcimporter.cpp
    TEST_NAME marctest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(modstest.cpp
    TEST_NAME modstest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(onmyshelftest.cpp
    ../translators/onmyshelfimporter.cpp
    TEST_NAME onmyshelftest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(referencertest.cpp
    ../translators/referencerimporter.cpp
    TEST_NAME referencertest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(ristest.cpp
    ../translators/risimporter.cpp
    ../translators/importer.cpp
    TEST_NAME ristest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS}
)

ecm_add_test(tellicoreadtest.cpp
    ../translators/tellicoxmlexporter.cpp
    ../translators/tellicozipexporter.cpp
    ../translators/exporter.cpp
    ../document.cpp
    TEST_NAME tellicoreadtest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)

ecm_add_test(vinoxmltest.cpp
    ../translators/vinoxmlimporter.cpp
    TEST_NAME vinoxmltest
    LINK_LIBRARIES ${TELLICO_TEST_LIBS} translatorstest
)
